# 検索型番に対する処理
#   productcodeは、ファイル名から生成された型番
#   検索する際の型番を変更する、または追加する
#   戻り値は文字列配列であること

Param($productcode)

try
{
    $result = @()

    # 型番は「nnnnnn-nnn」(6桁-3桁)

    $productcode_base = ""

    # 6桁+3桁の検出
    $productcoderegex = [regex]'([0-9]{6}-[0-9]{3})'
    $matches = $productcoderegex.Matches($productcode);

    if($matches.Success)
    {
        $productcode_base = $matches[0].groups[1].value

        # 変更後の型番を返す
        $result = @($productcode_base)
    }
}
catch
{
    # 例外を起こしたら何も返さない(変な検索をしてサイトに迷惑かけないため)
    $result = @()
}

return $result
